from algorithmContract.confBusiness import *
import pandas as pd


def loadTurbineInfo(turbineInfoFilePathCSV,charset=charset_unify):
    """
    通过机组信息csv文件，载入机组信息

    参数:
    turbineInfoFilePathCSV (str): 机组信息csv文件路径
    charset (str): 读取文件编码字符集，默认为utf-8

    返回:
    pandas.DataFrame : 机组信息
    """
    dataFrameOfTurbine= pd.read_csv(turbineInfoFilePathCSV,encoding=charset)

    return dataFrameOfTurbine
    
    